Index: trunk/IPs/systemC/processor/Morpheo/Files/debug.sim
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/debug.sim	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Files/debug.sim	(revision 118)
@@ -11,93 +11,93 @@
   <parameter  name="use_information"                        value="0"       />
   <parameter  name="use_header"                             value="0"       />
+                                                            
+  <parameter  name="directory_statistics"                   value="."       />
+  <parameter  name="directory_vhdl"                         value="."       />
+  <parameter  name="directory_position"                     value="."       />
+  <parameter  name="directory_log"                          value="/dsk/l1/misc/Morpheo/log/"       />
 
   <parameter  name="statistics_cycle_start"                 value="5"       />
   <parameter  name="statistics_period"                      value="0"       />
                                                             
-  <parameter  name="simulation_nb_cycle"                    value="100000"  />
+  <parameter  name="simulation_nb_cycle"                    value="500000"  />
   <parameter  name="simulation_nb_instruction"              value="0"       />
                                                             
-  <parameter  name="directory_statistics"                   value="."       />
-  <parameter  name="directory_vhdl"                         value="."       />
-  <parameter  name="directory_position"                     value="."       />
-  <parameter  name="directory_log"                          value="."       />
-                                                            
   <parameter  name="debug_level"                            value="0"       />
-  <parameter  name="debug_cycle_start"                      value="000"    />
-  <parameter  name="debug_cycle_stop"                       value="100"    />
+  <parameter  name="debug_cycle_start"                      value="4900"       />
+  <parameter  name="debug_cycle_stop"                       value="5050"      />
   <parameter  name="debug_have_log_file"                    value="0"       />
   <parameter  name="debug_idle_cycle"                       value="1000"    />
   <parameter  name="debug_idle_time"                        value="10"      />
 
-  <component  name="Comparator"                             model="systemc" debug="0" />
-  <component  name="Counter"                                model="systemc" debug="0" />
-  <component  name="Divider"                                model="systemc" debug="0" />
-  <component  name="Multiplier"                             model="systemc" debug="0" />
-  <component  name="Priority"                               model="systemc" debug="0" />
-  <component  name="Queue_Control"                          model="systemc" debug="0" />         
-  <component  name="Queue"                                  model="systemc" debug="0" /> 
-  <component  name="RegisterFile_Monolithic"                model="systemc" debug="0" />
-  <component  name="RegisterFile_Multi_Banked"              model="systemc" debug="0" />
-  <component  name="RegisterFile"                           model="systemc" debug="0" /> 
-  <component  name="Select_Priority_Fixed"                  model="systemc" debug="0" />
-  <component  name="Select"                                 model="systemc" debug="0" /> 
-  <component  name="Shifter"                                model="systemc" debug="0" /> 
-  <component  name="Sort"                                   model="systemc" debug="0" /> 
-  <component  name="Victim_Pseudo_LRU"                      model="systemc" debug="0" />
-  <component  name="Victim"                                 model="systemc" debug="0" /> 
-  <component  name="Execute_loop_Glue"                      model="systemc" debug="0" />
-  <component  name="Functionnal_unit"                       model="systemc" debug="0" />
-  <component  name="Load_store_unit"                        model="systemc" debug="0" />
-  <component  name="Read_queue"                             model="systemc" debug="0" />
-  <component  name="Reservation_station"                    model="systemc" debug="0" />
-  <component  name="Read_unit"                              model="systemc" debug="0" />
-  <component  name="Execute_queue"                          model="systemc" debug="0" />
-  <component  name="Write_queue"                            model="systemc" debug="0" />
-  <component  name="Write_unit"                             model="systemc" debug="0" />
-  <component  name="Execution_unit_to_Write_unit"           model="systemc" debug="0" />
-  <component  name="Read_unit_to_Execution_unit"            model="systemc" debug="0" />
-  <component  name="Register_unit_Glue"                     model="systemc" debug="0" />
-  <component  name="Register_unit"                          model="systemc" debug="0" />
-  <component  name="Execute_loop"                           model="systemc" debug="0" />
-  <component  name="Commit_unit"                            model="systemc" debug="0" />
-  <component  name="Issue_queue"                            model="systemc" debug="0" />
-  <component  name="OOO_Engine_Glue"                        model="systemc" debug="0" />
-  <component  name="Reexecute_unit"                         model="systemc" debug="0" />
-  <component  name="Load_Store_pointer_unit"                model="systemc" debug="0" />
-  <component  name="Dependency_checking_unit"               model="systemc" debug="0" />
-  <component  name="Free_List_unit"                         model="systemc" debug="0" />
-  <component  name="Register_Address_Translation_unit"      model="systemc" debug="0" />
-  <component  name="Register_translation_unit_Glue"         model="systemc" debug="0" />
-  <component  name="Stat_List_unit"                         model="systemc" debug="0" />
-  <component  name="Register_translation_unit"              model="systemc" debug="0" />
-  <component  name="Rename_unit_Glue"                       model="systemc" debug="0" />
-  <component  name="Rename_select"                          model="systemc" debug="0" />
-  <component  name="Rename_unit"                            model="systemc" debug="0" />
-  <component  name="Special_Register_unit"                  model="systemc" debug="0" />
-  <component  name="OOO_Engine"                             model="systemc" debug="0" />
-  <component  name="Context_State"                          model="systemc" debug="0" />
-  <component  name="Decod"                                  model="systemc" debug="0" />
-  <component  name="Decod_queue"                            model="systemc" debug="0" />
-  <component  name="Decod_unit"                             model="systemc" debug="0" />
-  <component  name="Front_end_Glue"                         model="systemc" debug="0" />
-  <component  name="Address_management"                     model="systemc" debug="0" />
-  <component  name="Ifetch_queue"                           model="systemc" debug="0" />
-  <component  name="Ifetch_unit_Glue"                       model="systemc" debug="0" />
-  <component  name="Ifetch_unit"                            model="systemc" debug="0" />
-  <component  name="Branch_Target_Buffer_Glue"              model="systemc" debug="0" />
-  <component  name="Branch_Target_Buffer_Register"          model="systemc" debug="0" />
-  <component  name="Branch_Target_Buffer"                   model="systemc" debug="0" />
-  <component  name="Direction_Glue"                         model="systemc" debug="0" />
-  <component  name="Direction"                              model="systemc" debug="0" />
-  <component  name="Prediction_unit_Glue"                   model="systemc" debug="0" />
-  <component  name="Return_Address_Stack"                   model="systemc" debug="0" />
-  <component  name="Update_Prediction_Table"                model="systemc" debug="0" />
-  <component  name="Prediction_unit"                        model="systemc" debug="0" />
-  <component  name="Front_end"                              model="systemc" debug="0" />
-  <component  name="Icache_Access"                          model="systemc" debug="0" />
-  <component  name="Dcache_Access"                          model="systemc" debug="0" />
-  <component  name="Core_Glue"                              model="systemc" debug="0" />
-  <component  name="Core"                                   model="systemc" debug="0" />
-  <component  name="TopLevel"                               model="systemc" debug="0" />
+  <component  name="Comparator"                             model="systemc" debug="1" />
+  <component  name="Counter"                                model="systemc" debug="1" />
+  <component  name="Divider"                                model="systemc" debug="1" />
+  <component  name="Multiplier"                             model="systemc" debug="1" />
+  <component  name="Priority"                               model="systemc" debug="1" />
+  <component  name="Queue_Control"                          model="systemc" debug="1" />         
+  <component  name="Queue"                                  model="systemc" debug="1" /> 
+  <component  name="RegisterFile_Monolithic"                model="systemc" debug="1" />
+  <component  name="RegisterFile_Multi_Banked"              model="systemc" debug="1" />
+  <component  name="RegisterFile"                           model="systemc" debug="1" /> 
+  <component  name="Select_Priority_Fixed"                  model="systemc" debug="1" />
+  <component  name="Select"                                 model="systemc" debug="1" /> 
+  <component  name="Shifter"                                model="systemc" debug="1" /> 
+  <component  name="Sort"                                   model="systemc" debug="1" /> 
+  <component  name="Victim_Pseudo_LRU"                      model="systemc" debug="1" />
+  <component  name="Victim"                                 model="systemc" debug="1" /> 
+  <component  name="Execute_loop_Glue"                      model="systemc" debug="1" />
+  <component  name="Functionnal_unit"                       model="systemc" debug="1" />
+  <component  name="Load_store_unit"                        model="systemc" debug="1" />
+  <component  name="Read_queue"                             model="systemc" debug="1" />
+  <component  name="Reservation_station"                    model="systemc" debug="1" />
+  <component  name="Read_unit"                              model="systemc" debug="1" />
+  <component  name="Execute_queue"                          model="systemc" debug="1" />
+  <component  name="Write_queue"                            model="systemc" debug="1" />
+  <component  name="Write_unit"                             model="systemc" debug="1" />
+  <component  name="Execution_unit_to_Write_unit"           model="systemc" debug="1" />
+  <component  name="Read_unit_to_Execution_unit"            model="systemc" debug="1" />
+  <component  name="Register_unit_Glue"                     model="systemc" debug="1" />
+  <component  name="Register_unit"                          model="systemc" debug="1" />
+  <component  name="Execute_loop"                           model="systemc" debug="1" />
+  <component  name="Commit_unit"                            model="systemc" debug="1" />
+  <component  name="Issue_queue"                            model="systemc" debug="1" />
+  <component  name="OOO_Engine_Glue"                        model="systemc" debug="1" />
+  <component  name="Reexecute_unit"                         model="systemc" debug="1" />
+  <component  name="Load_Store_pointer_unit"                model="systemc" debug="1" />
+  <component  name="Dependency_checking_unit"               model="systemc" debug="1" />
+  <component  name="Free_List_unit"                         model="systemc" debug="1" />
+  <component  name="Register_Address_Translation_unit"      model="systemc" debug="1" />
+  <component  name="Register_translation_unit_Glue"         model="systemc" debug="1" />
+  <component  name="Stat_List_unit"                         model="systemc" debug="1" />
+  <component  name="Register_translation_unit"              model="systemc" debug="1" />
+  <component  name="Rename_unit_Glue"                       model="systemc" debug="1" />
+  <component  name="Rename_select"                          model="systemc" debug="1" />
+  <component  name="Rename_unit"                            model="systemc" debug="1" />
+  <component  name="Special_Register_unit"                  model="systemc" debug="1" />
+  <component  name="OOO_Engine"                             model="systemc" debug="1" />
+  <component  name="Context_State"                          model="systemc" debug="1" />
+  <component  name="Decod"                                  model="systemc" debug="1" />
+  <component  name="Decod_queue"                            model="systemc" debug="1" />
+  <component  name="Decod_unit"                             model="systemc" debug="1" />
+  <component  name="Front_end_Glue"                         model="systemc" debug="1" />
+  <component  name="Address_management"                     model="systemc" debug="1" />
+  <component  name="Ifetch_queue"                           model="systemc" debug="1" />
+  <component  name="Ifetch_unit_Glue"                       model="systemc" debug="1" />
+  <component  name="Ifetch_unit"                            model="systemc" debug="1" />
+  <component  name="Branch_Target_Buffer_Glue"              model="systemc" debug="1" />
+  <component  name="Branch_Target_Buffer_Register"          model="systemc" debug="1" />
+  <component  name="Branch_Target_Buffer"                   model="systemc" debug="1" />
+  <component  name="Direction_Glue"                         model="systemc" debug="1" />
+  <component  name="Direction"                              model="systemc" debug="1" />
+  <component  name="Prediction_unit_Glue"                   model="systemc" debug="1" />
+  <component  name="Return_Address_Stack"                   model="systemc" debug="1" />
+  <component  name="Update_Prediction_Table"                model="systemc" debug="1" />
+  <component  name="Prediction_unit"                        model="systemc" debug="1" />
+  <component  name="Front_end"                              model="systemc" debug="1" />
+  <component  name="Icache_Access"                          model="systemc" debug="1" />
+  <component  name="Dcache_Access"                          model="systemc" debug="1" />
+  <component  name="Core_Glue"                              model="systemc" debug="1" />
+  <component  name="Core"                                   model="systemc" debug="1" />
+  <component  name="TopLevel"                               model="systemc" debug="1" />
 
 </parameters>
